from pydai.utlink import *
import pydaic
import json
import MNN
import time

taskName = "easymnn_base_class.py"
# util.util.log(taskName, 'DEBUG', '[bz]global init')
g_count = 0

handle = None

__metaclass__ = type
class EasyMNNBaseClass():
    @classmethod
    def _easymnn_init(cls):
        global handle
        util.util.log(taskName, 'DEBUG', 'EasyMNN_INIT handle=%s'%(type(handle)))
        handle = cls()
        return {"_errCode":0}
    
    @classmethod
    def _easymnn_process(cls, batch_data):
        global handle
        if handle == None:
            handle = cls()
        util.util.log(taskName, 'DEBUG', 'EasyMNN_PROCESS handle=%s'%(type(handle)))
        return handle.process(batch_data)
        
    @classmethod
    def _easymnn_del(cls):
        global handle
        util.util.log(taskName, 'DEBUG', 'EasyMNN_DEL handle=%s'%(type(handle)))
        handle = None
        return {"_errCode":0}
    
    @classmethod
    def __all__(cls, batch_data):
        util.util.log(taskName, 'DEBUG', 'batch_data(%s)=%s'%(type(batch_data), str(batch_data)))
        if batch_data.has_key('_lifecycle'):
            if batch_data['_lifecycle'] == "init":
                return cls._easymnn_init()
            if batch_data['_lifecycle'] == "del":
                return cls._easymnn_del()
        if handle == None:
            cls._easymnn_init()
        return cls._easymnn_process(batch_data)
    
    def process(self, batch_data):
        pass

