precision highp float;
attribute vec4 aVertexCo;
attribute vec2 aTextureCo;

uniform mat4 WorldViewProj;
varying vec2 UV;

void main()
{
	vec4 vPos = WorldViewProj * aVertexCo;
	UV = aTextureCo;
	gl_Position = vPos;
}