
Scene = {}

function Scene:new(engineObj)
    o = {}
    setmetatable(o, self)
    self.__index = self
    o.logicObjs = {}
    o.engineObj = engineObj
    return o
end

function Scene:render(time)
    for k, v in pairs(self.logicObjs) do
        if v.logicObj then
            v.logicObj:preUpdate(time)
        end
    end

    self.engineObj:Update(time)

    for k, v in pairs(self.logicObjs) do
        if v.logicObj then
            v.logicObj:endUpdate(time)
        end
    end

    self.engineObj:Render(time)
end


return Scene