precision highp float;

attribute vec4 aVertexCo;
attribute vec2 aTextureCo;

uniform vec2 vScale;
uniform mat4 World;
varying vec2 UV;

void main()
{
	vec4 vPos = World * vec4(aVertexCo.xyz, 1.0);
	UV = aTextureCo;
	gl_Position = vPos;
}
