
attribute vec4 aVertexCo;
attribute vec2 aTextureCo;

uniform vec2 TexSize0;
uniform vec2 TexSize1;
uniform float  BloomDownScale;
uniform vec2 BloomUpScales;

varying mediump vec4 TexCoord0;
varying mediump vec4 TexCoord1;
varying mediump vec4 TexCoord2;
varying mediump vec4 TexCoord3;
varying mediump vec4 TexCoord4;
varying mediump vec4 TexCoord5;
varying mediump vec4 TexCoord6;
varying mediump vec4 TexCoord7;

vec2 Circle(float Start, float Points, float Point) 
{
	float Rad = (3.141592 * 2.0 * (1.0 / Points)) * (Point + Start);
	return vec2(sin(Rad), cos(Rad));
}

void main()
{
	gl_Position = aVertexCo;
	TexCoord0.xy = aTextureCo.xy+ vec2( -0.5 / TexSize0.x, -0.5 / TexSize0.y );
	TexCoord1.xy = aTextureCo.xy+ vec2(  1.5 / TexSize0.x, -0.5 / TexSize0.y );
	TexCoord2.xy = aTextureCo.xy+ vec2( -0.5 / TexSize0.x,  1.5 / TexSize0.y );
	TexCoord3.xy = aTextureCo.xy+ vec2(  1.5 / TexSize0.x,  1.5 / TexSize0.y );
}




