precision highp float;
varying vec2 vTextureCo;
//背景
uniform sampler2D uTexture;
uniform float uWidthStep;
uniform float uHeightStep;

void main() {
    vec4 center = texture2D(uTexture, vTextureCo);
    center += texture2D(uTexture, vTextureCo + vec2(uWidthStep, uHeightStep));
    center += texture2D(uTexture, vTextureCo + vec2(-uWidthStep, uHeightStep));
    center += texture2D(uTexture, vTextureCo + vec2(uWidthStep, -uHeightStep));
    center += texture2D(uTexture, vTextureCo + vec2(uWidthStep, 0.0));
    center += texture2D(uTexture, vTextureCo + vec2(0.0, uHeightStep));
    center += texture2D(uTexture, vTextureCo + vec2(-uWidthStep, 0.0));
    center += texture2D(uTexture, vTextureCo + vec2(0.0, -uHeightStep));
    center += texture2D(uTexture, vTextureCo + vec2(-uWidthStep, -uHeightStep));

    gl_FragColor = center / 9.0;
}