precision highp float;
attribute vec4 aVertexCo;
attribute vec2 aTextureCo;
attribute vec4 aVertexDiffuse;

uniform mat4 World;
varying vec2 UV;
varying vec4 vColor;

void main()
{
	vec4 vPos = World * aVertexCo;
	UV = aTextureCo;
	vColor = aVertexDiffuse;
	gl_Position = vPos;
}