precision highp float;

attribute vec4 aVertexCo;
attribute vec2 aTextureCo;
uniform mat4 World;
uniform vec2 vScale;

varying vec2 UV;

void main()
{
	vec4 vPos = World * aVertexCo;
	vPos.xy = vPos.xy * vScale;
	UV = aTextureCo;
	gl_Position = vPos;
}