precision highp float;

attribute vec4 aVertexCo;
attribute vec2 aTextureCo;

uniform vec2 vScale;
uniform mat4 World;
varying vec2 UV0;
varying vec2 UV1;
void main()
{
	vec4 vPos = vec4(aVertexCo.xyz, 1.0);
	vec4 vTemp= World * vec4(aTextureCo.x, aTextureCo.y, 1.0, 1.0);
	UV0 = vTemp.xy;
	UV1 = aTextureCo;
	gl_Position = vPos;
}
