UIWindow = {}

function UIWindow:new(engineObj)
    o = {}
    setmetatable(o, self)
    self.__index = self
    o.logicObjs = {}
    o.engineObj = engineObj
    return o
end

function UIWindow:render(time)
    self.engineObj:Render(time)
end

function _renderUI(ui, time)
    local obj = g_game:findLogicObj(ui)
    if obj and obj.logicObj then
        obj.logicObj:render(time)
    end
end

function renderUI(ui, time)
    xpcall( _renderUI, OnErrorHandler, ui, time )
end

return UIWindow